USE [COWS_Reporting]
GO

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

/*
Author : Jagannath Gangi
Created On : 6-28-2018
Description : This Procedure is used to load tables needed by MDS_User account for reporting purposes
*/

ALTER PROCEDURE [dbo].[LoadMDSUserTables]
AS
BEGIN
SET NOCOUNT ON;

BEGIN TRY

		TRUNCATE TABLE COWS_Reporting.dbo.LK_USER
		INSERT INTO COWS_Reporting.dbo.LK_USER
		SELECT * FROM COWS.dbo.LK_USER WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.MDS_EVENT
		INSERT INTO COWS_Reporting.dbo.MDS_EVENT
		SELECT * FROM COWS.dbo.MDS_EVENT WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_MDS_ACTY_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_MDS_ACTY_TYPE
		SELECT * FROM COWS.dbo.LK_MDS_ACTY_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_APPT_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_APPT_TYPE
		SELECT * FROM COWS.dbo.LK_APPT_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.MDS_FAST_TRK_TYPE
		INSERT INTO COWS_Reporting.dbo.MDS_FAST_TRK_TYPE
		SELECT * FROM COWS.dbo.MDS_FAST_TRK_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.[EVENT]
		INSERT INTO COWS_Reporting.dbo.[EVENT]
		SELECT * FROM COWS.dbo.[EVENT] WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.MDS_EVENT_NEW
		INSERT INTO COWS_Reporting.dbo.MDS_EVENT_NEW
		SELECT * FROM COWS.dbo.MDS_EVENT_NEW WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_ACTN
		INSERT INTO COWS_Reporting.dbo.LK_ACTN
		SELECT * FROM COWS.dbo.LK_ACTN WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.EVENT_HIST
		INSERT INTO COWS_Reporting.dbo.EVENT_HIST
		SELECT * FROM COWS.dbo.EVENT_HIST WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_EVENT_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_EVENT_TYPE
		SELECT * FROM COWS.dbo.LK_EVENT_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_ACTN_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_ACTN_TYPE
		SELECT * FROM COWS.dbo.LK_ACTN_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_GRP
		INSERT INTO COWS_Reporting.dbo.LK_GRP
		SELECT * FROM COWS.dbo.LK_GRP WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_ROLE
		INSERT INTO COWS_Reporting.dbo.LK_ROLE
		SELECT * FROM COWS.dbo.LK_ROLE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_SIPT_ACTY_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_SIPT_ACTY_TYPE
		SELECT * FROM COWS.dbo.LK_SIPT_ACTY_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.LK_UCaaS_ACTY_TYPE
		INSERT INTO COWS_Reporting.dbo.LK_UCaaS_ACTY_TYPE
		SELECT * FROM COWS.dbo.LK_UCaaS_ACTY_TYPE WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.SIPT_EVENT_ACTY
		INSERT INTO COWS_Reporting.dbo.SIPT_EVENT_ACTY
		SELECT * FROM COWS.dbo.SIPT_EVENT_ACTY WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.SIPT_EVENT
		INSERT INTO COWS_Reporting.dbo.SIPT_EVENT
		SELECT * FROM COWS.dbo.SIPT_EVENT WITH (NOLOCK)

		TRUNCATE TABLE COWS_Reporting.dbo.UCaaS_EVENT
		INSERT INTO COWS_Reporting.dbo.UCaaS_EVENT
		SELECT * FROM COWS.dbo.UCaaS_EVENT WITH (NOLOCK)

 
	END TRY
	BEGIN CATCH
	END CATCH

END